+++
title = "Teckids bei den Grazer Linux-Tagen 2024"
authors = ["krfl9500", "codecraft"]

[extra.microdata]
about = ["https://ticdesk.teckids.org/app/paweljong/event/froglabs-2024-glt"]

[extra.depiction]
image = "collage.jpg"
alt = "Collage mit einem Blick vom Schlossberg auf den Uhrturm und die Stadt im Hintergrund; im Vordergrund ein Foto von Kindern, die ein Breadboard bestücken und eines von Kindern, die an einem Laptop ein Spiel ausprobieren"
credits = "Dominik George, CC-BY-NC-ND"

[[extra.gallery.workshops]]
image = "elektronik-breadboard.jpg"
alt = "Zwei Mädchen bestücken ein Breadboard"
credits = "Dominik George, CC-BY-NC-ND"

[[extra.gallery.workshops]]
image = "elektronik-breadboard-2.jpg"
alt = "Blick über die Schulter von zwei Kindern, die eine LED auf einem Breadboard ausprobieren"
credits = "Dominik George, CC-BY-NC-ND"

[[extra.gallery.workshops]]
image = "spiel-ausprobieren.jpg"
alt = "Mehrere Kinder lachen hinter einem Laptop, an dem sie ein Spiel ausprobieren"
credits = "Dominik George, CC-BY-NC-ND"

[[extra.gallery.reise]]
image = "graz-blick.jpg"
alt = "Blick vom Schlossberg auf die Stadt Graz mit Uhrturm im Vordergrund"
credits = "Dominik George, CC-BY"

[[extra.gallery.reise]]
image = "basilika.jpg"
alt = "Jugendliche vor der Basilika Mariatrost"
credits = "Dominik George, CC-BY-NC-ND"
+++

Wie schon angekündigt sind wir dieses Jahr auf den 
[Grazer Linux-Tagen](https://www.linuxtage.at/de/) (GLT) gewesen, um im Kinder-
und Jugendprogramm Mini-[FrogLabs](@/projekte/hack-n-fun/freizeiten/froglabs/index.md)
zu zeigen, dass man Technik [verstehen](@/infos/verstehen/index.md) und
selber bauen kann.

<!-- more --> 

## Die Mini-Froglabs

Die Mini-Froglabs bestanden dieses Mal aus zwei unterschiedlichen Workshops, 
welche jeweils drei Stunden lang waren. Hierbei wurde am Samstag im ersten
Workshop den Teilnehmenden das Spieleprogrammieren anhand von Python, PyGame und 
Tiled von unseren Tutoren Lukas und Darius nähergebracht. Im zweiten 
Workshop gab es eine Einführung in die Elektronik mit ESP-Mikrocontrollern und
LED-Pixeldisplays.

{{ gallery(name="workshops") }}

### Spieleprogrammieren

Bei diesem Workshop konnten die acht Kinder zwischen 8 und 13 Jahren ausprobieren, 
wie man eigene Spiele mit Python, PyGame und Tiled programmiert.
Genauer gesagt entwickelten sie ein kleines Jump'n'Run-Spiel. 

Zuerst haben wir gezeigt, wie man das Programm Tiled zum Erstellen einer
Karte verwendet. Hierbei wurden schon sehr viele kreative Spiele grafisch entworfen.

Als die jungen Entwickler\*innen damit fertig waren, ging es darum, den Karten 
Leben einzuflößen. Mit Hilfe eines in Python vorbereiteten Gerüsts
konnten alle, mit oder ohne Programmier-Vorkenntnisse, ihre Ideen umsetzen.

Nach etwa drei Stunden Workshop waren die ersten Versionen der Spiele fertig
und die Gruppe konnte bei, für April deutlich zu warmem, Sonnenschein Burritos
oder Nudeln essen gehen.

### Elektronik und Mikrocontroller

Der Elektronik-Workshop fing mit einer Einführung in generelle Konzepte wie
Stromkreislauf, Widerstände und Schaltungen. So konnten die Teilnehmenden erst
einmal an einfachen Beispielen sehen, wie die einzelnen Teile der Pixel-Displays
funktionieren.

Nach dieser Einführung kam die Programmierung der auf einem ESP8266-Mikrocontroller
basierenden Displays mit Hilfe von Python an die Reihe. Dabei konnte man Animationen
aus den von uns vorbereiteten Ideen ausprobieren oder auch ganz eigene umsetzen.

### Bald sind die Grazer Linux-Tage 2025

Die GLT dieses Jahr haben uns, wie auch den Workshopteilnehmenden, sehr viel 
Spaß bereitet. Sie und wir freuen uns auch schon auf nächstes Jahr. Dann wollen
wir eine zweitägige [Freizeit](@/projekte/hack-n-fun/freizeiten/index.md) organisieren,
bei der es mehr Zeit für Workshops und auch für andere Aktivitäten gibt. Eine
Teilnehmerin hat sich schon gewünscht, dass die Elektronik im Workshop auch selber
gelötet werden kann.

## Die Teckids-Gemeinschaft präsentiert sich

Neben den Mini-Froglabs hatten wir auch einen Stand, der unseren Verein 
vorstellte. Auf unserem Standtisch, neben unserem Workshop-Raum, waren u.A.
Kalle Käseecke, der Plüschkäse mit den RGB-LEDs, und Plakate über unsere junge,
neue [Teckids-Gemeinschaft](@/gemeinschaft/wer.md) zu sehen. Außerdem konnten wir 
mit vielen Gästen reden und uns mit ihnen über unsere Ziele und Projekte 
austauschen, wobei beliebte Themen die aktuelle Benachteiligung von Kindern in 
großen Teilen der FOSS-Welt, wie auch die wachsende Abhängigkeit von den 
propriäteren Software-Giganten, waren.

## Osterferien in der Steiermark

Bei unserem Besuch in Graz genoss unser Team, wie es mittlerweile Tradition ist,
neben den GLT auch eine kleine Freizeitreise. So besuchten wir am Donnerstag 
u.A. die Basilika Mariatrost, eine prachtvolle Kirche, welche etwas außerhalb 
der Stadt gelegen ist, den Schlossberg und den Uhrturm und waren in der Kletterhalle
des Jugendhotels Klettern und Bouldern. Natürlich haben wir auch unser Lieblingsrestaurant
in der Altstadt ausgiebig besucht.

Am Freitag, dem ersten Tag der GLT, war ein Teil unserer Gruppe wandern, 
während die andere schon begonn auf der GLT unsere Workshops und den Stand
aufzubauen. Einen kurzen Besuch machten wir dabei auch bei den Erwachsenen-Workshops
der Linux-Tage.

{{ gallery(name="reise") }}

Graz ist eine wunderschöne Stadt und wir freuen uns aufs nächste Mal!
